Build:
  1. 0
2022-06-28 10:52.40: New job: Build using linux-x86_64 in
                                []
2022-06-28 10:52.40: Will push staging image to ocurrent/opam-staging:debian-11-ocaml-4.05-flambda-i386

Dockerfile:

FROM ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
RUN opam switch create 4.05 --packages=ocaml-variants.4.05.0+flambda
RUN opam pin add -k version ocaml-variants 4.05.0+flambda
RUN opam install -y opam-depext
RUN opam install -y ocaml-secondary-compiler
ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
CMD bash
COPY [ "Dockerfile", "/Dockerfile.ocaml" ]

2022-06-28 10:52.40: Using cache hint "4.05.0+flambda-i386-ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f"
2022-06-28 10:52.40: Waiting for resource in pool OCluster
2022-06-28 10:52.40: Waiting for worker...
2022-06-28 10:52.40: Got resource from pool OCluster
Building on pima.ocamllabs.io
Sending build context to Docker daemon   2.56kB

Step 1/10 : FROM ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
docker.io/ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f: Pulling from ocurrent/opam-staging
8bfd9a7ec075: Pulling fs layer
e9fddc3283d8: Pulling fs layer
8bfd9a7ec075: Verifying Checksum
8bfd9a7ec075: Download complete
8bfd9a7ec075: Pull complete
e9fddc3283d8: Verifying Checksum
e9fddc3283d8: Download complete
e9fddc3283d8: Pull complete
Digest: sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
Status: Image is up to date for ocurrent/opam-staging@sha256:d6559e609ee3a51dae82e7f57f760768ad18aef6799036fbc4e91f7ccd15c85f
 ---> 5052d7611593
Step 2/10 : SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 356760a4cc7b
Removing intermediate container 356760a4cc7b
 ---> b17e43360afb
Step 3/10 : ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in beb59d8e96b4
Removing intermediate container beb59d8e96b4
 ---> 9a9dacd9cf66
Step 4/10 : RUN opam switch create 4.05 --packages=ocaml-variants.4.05.0+flambda
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in b2f704a445de

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ocaml-variants.4.05.0+flambda] downloaded from https://github.com/ocaml/ocaml/archive/4.05.0.tar.gz
[ocaml-variants.4.05.0+flambda/alt-signal-stack.patch] downloaded from https://github.com/ocaml/ocaml/commit/50c2d1275e537906ea144bd557fde31e0bf16e5f.patch

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-variants.4.05.0+flambda
-> installed ocaml-config.1
-> installed ocaml.4.05.0
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container b2f704a445de
 ---> 2364570796f2
Step 5/10 : RUN opam pin add -k version ocaml-variants 4.05.0+flambda
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 8c91fd3a12a0
ocaml-variants is now pinned to version 4.05.0+flambda

No package build needed.
Nothing to do.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 8c91fd3a12a0
 ---> 69899befb80f
Step 6/10 : RUN opam install -y opam-depext
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 623dab3db031
The following actions will be performed:
  - install opam-depext 1.2.1-1

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[opam-depext.1.2.1-1] downloaded from https://github.com/ocaml-opam/opam-depext/releases/download/v1.2.1/opam-depext-full-1.2.1.tbz

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed opam-depext.1.2.1-1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 623dab3db031
 ---> ba849d66b3c3
Step 7/10 : RUN opam install -y ocaml-secondary-compiler
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 6ee095d9a95e
The following actions will be performed:
  - install ocaml-secondary-compiler 4.08.1-1

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ocaml-secondary-compiler.4.08.1-1] downloaded from https://github.com/ocaml/ocaml/archive/4.08.1.tar.gz
[ocaml-secondary-compiler.4.08.1-1/alt-signal-stack.patch] downloaded from https://github.com/ocaml/ocaml/commit/17df117b4939486d3285031900587afce5262c8c.patch

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed ocaml-secondary-compiler.4.08.1-1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 6ee095d9a95e
 ---> 10a7ad3aecbf
Step 8/10 : ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in b2b0ee6ee151
Removing intermediate container b2b0ee6ee151
 ---> 8c9b2f1a71da
Step 9/10 : CMD bash
 ---> [Warning] The requested image's platform (linux/386) does not match the detected host platform (linux/amd64) and no specific platform was requested
 ---> Running in 6ce3c7fa91c0
Removing intermediate container 6ce3c7fa91c0
 ---> 7b6efb66840b
Step 10/10 : COPY [ "Dockerfile", "/Dockerfile.ocaml" ]
 ---> 20f506b0a15c
Successfully built 84924c94831e
Pushing "sha256:84924c94831ec1b4c303132d91468309ee342a1edd5c37761ca6434a0aa3626a" to "ocurrent/opam-staging:debian-11-ocaml-4.05-flambda-i386" as user "ocurrentbuilder"
Login Succeeded
The push refers to repository [docker.io/ocurrent/opam-staging]
022d04e0e3b6: Preparing
0b114e9b7d50: Preparing
58fef367db29: Preparing
0b114e9b7d50: Layer already exists
58fef367db29: Layer already exists
022d04e0e3b6: Pushed
debian-11-ocaml-4.05-flambda-i386: digest: sha256:57d71d3028d4aecb565a84160301bc0e1de5ff26e1f903ef44e463287ea2db19 size: 956
Job succeeded
2022-06-28 11:07.25: Job succeeded